cascading.pipe.assembly

## Class AverageBy.AverageFinal.Context

- java.lang.Object
- - cascading.pipe.assembly.AverageBy.AverageFinal.Context

Enclosing class:
  AverageBy.AverageFinal

    protected static class AverageBy.AverageFinal.Context
    extends java.lang.Object

Class Context is used to hold intermediate values.

### Constructor Summary

Constructors
Constructor and Description
`AverageBy.AverageFinal.Context(Fields fieldDeclaration)`

### Method Summary

Methods
`AverageBy.AverageFinal.Context` `reset()`
`Tuple` `result()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AverageBy.AverageFinal.Context

    public AverageBy.AverageFinal.Context(Fields fieldDeclaration)

### Method Detail

#### reset

    public AverageBy.AverageFinal.Context reset()

#### result

    public Tuple result()